# Get account NFTs

Get account NFTs by its identifier (public key or account hash)

```
GET /accounts/{account_identifier}/nft-tokens
```

## Query params

| Query param         | Description                                                                                                                               |
| ------------------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| `from_block_height` | From block height range                                                                                                                   |
| `to_block_height`   | To block height range                                                                                                                     |
| `is_burned`         | Filters tokens by their is\_burned status: `false` to get active NFTs, `true` to get the burned ones. By default all tokens are returned. |

## Sorting

| Property    | Description              |
| ----------- | ------------------------ |
| `token_id`  | Sort tokens by token\_id |
| `timestamp` | Sort tokens by timestamp |

Default sorting is `timestamp DESC`

## Optional properties

| Property           | Type                                                                         | Description                            |
| ------------------ | ---------------------------------------------------------------------------- | -------------------------------------- |
| `contract_package` | [`ContractPackage`](https://docs.cspr.cloud/1.4.x/rest-api/contract-package) | NFT contract package                   |
| `owner_public_key` | `string(68)`                                                                 | Owner public key if it's an account    |
| `owner_cspr_name`  | `string`                                                                     | Primary CSPR.name of the owner account |

## Response

[`PaginatedResponse`](https://docs.cspr.cloud/1.4.x/documentation/overview/pagination)[`<NFTToken>`](https://docs.cspr.cloud/1.4.x/rest-api/non-fungible-token)

## Example

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/accounts/8E09F028BAFF4E3A851E70BB8A5DC02EAE7F8CB7FAF1B52D9C8DAFA7F41FA55C/nft-tokens' \
  -H 'accept: application/json' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "data": [
    {
      "contract_package_hash": "006c68af5f767e406cccd326f8d8bba81dec20d2578f308d33e3bbf08ee5d383",
      "block_height": 1461592,
      "is_burned": false,
      "offchain_metadata": null,
      "offchain_metadata_status": 3,
      "onchain_metadata": {
        "token_uri": "{\"token_uri\":\"ipfs://QmZa1hrX5FJRxyNyEbYjTVPJ6mbQtA3wJu1RjQpv9am6n2\"}"
      },
      "owner_hash": "8e09f028baff4e3a851e70bb8a5dc02eae7f8cb7faf1b52d9c8dafa7f41fa55c",
      "owner_type": 1,
      "timestamp": "2022-10-18T15:22:06Z",
      "token_id": "0",
      "token_standard_id": 1,
      "tracking_id": 20458
    }
  ],
  "item_count": 1,
  "page_count": 1
}
```
